# List Streams

Launch stage: Public Preview

`GET /api/2.0/feature-engineering/streams`

List Streams under a given catalog.schema parent.

API scopes: mlflow

## Query parameters

- `parent` (string, optional)
  Two-part name (catalog.schema) of the parent under which to list Streams.
- `page_size` (int32, optional)
  The maximum number of results to return.
- `page_token` (string, optional)
  Pagination token to go to the next page based on a previous query.

## Returns

Returns a list of Stream objects.

## Response

```json
{
  "streams": [
    {
      "name": "string",
      "description": "string",
      "source_config": {},
      "connection_config": {},
      "schema_config": {},
      "ingestion_config": {},
      "record_type_filter": "string",
      "excluded_columns": [
        "string"
      ],
      "create_time": "string",
      "created_by": "string",
      "update_time": "string",
      "updated_by": "string",
      "browse_only": true
    }
  ],
  "next_page_token": "string"
}
```

